io.undertow.predicate

## Class NotPredicate

- java.lang.Object
- - io.undertow.predicate.NotPredicate

All Implemented Interfaces:
  Predicate

    public class NotPredicate
    extends Object
    implements Predicate

Author:
  Stuart Douglas

### Field Summary

### Fields inherited from interface io.undertow.predicate.Predicate

`PREDICATE_CONTEXT`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `resolve(HttpServerExchange value)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### resolve

    public boolean resolve(HttpServerExchange value)

Specified by:
  `resolve` in interface `Predicate`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`